edu.wpi.cscore

## Class VideoProperty

- java.lang.Object
- - edu.wpi.cscore.VideoProperty

-     public class VideoProperty
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VideoProperty.Kind`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `get()`
    `java.lang.String[]` | `getChoices()`
    `int` | `getDefault()`
    `VideoProperty.Kind` | `getKind()`
    `static VideoProperty.Kind` | `getKindFromInt(int kind)`
    `int` | `getMax()`
    `int` | `getMin()`
    `java.lang.String` | `getName()`
    `int` | `getStep()`
    `java.lang.String` | `getString()`
    `boolean` | `isBoolean()`
    `boolean` | `isEnum()`
    `boolean` | `isInteger()`
    `boolean` | `isString()`
    `boolean` | `isValid()`
    `void` | `set(int value)`
    `void` | `setString(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKindFromInt

          public static VideoProperty.Kind getKindFromInt(int kind)

    - #### getName

          public java.lang.String getName()

    - #### getKind

          public VideoProperty.Kind getKind()

    - #### isValid

          public boolean isValid()

    - #### isBoolean

          public boolean isBoolean()

    - #### isInteger

          public boolean isInteger()

    - #### isString

          public boolean isString()

    - #### isEnum

          public boolean isEnum()

    - #### get

          public int get()

    - #### set

          public void set(int value)

    - #### getMin

          public int getMin()

    - #### getMax

          public int getMax()

    - #### getStep

          public int getStep()

    - #### getDefault

          public int getDefault()

    - #### getString

          public java.lang.String getString()

    - #### setString

          public void setString(java.lang.String value)

    - #### getChoices

          public java.lang.String[] getChoices()